;//========================
;============================================
INCLUDE H08A.INC
INCLUDE REG.ASM
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
ORG	000H
JMP	MAIN_PRO
NOP		
JMP	0000H
ORG	004H
INCLUDE	INT.ASM
JMP	MAIN

INCLUDE	ADC.ASM
INCLUDE	SUBFUNCTION.ASM
INCLUDE	LCDINDX.ASM
INCLUDE	CAL.ASM
INCLUDE	S24CXX.ASM
;INCLUDE	MATH.ASM
;INCLUDE	TABLE.ASM
;==============================
MAIN_PRO:
INCLUDE	INITIAL.ASM
					;--------------READ	TS GAIN	TO RAM
					;EEPROM 00H	=> CAL_ADH
					;EEPROM 01H	=> CAL_ADL
					;=========EEPROM READ=========
					MVL		000H            
					MVF		EEADDRESS,F,ACCE	;EEPROMŪm00H}l   
					MVL		2
					MVF		S_REG_EE,F,ACCE 	;Ū2bytes, 00H,001H
					MVL		0A0H
					MVF		EECNT,F,ACCE		;IIC Address
					LDPR	000H,FSR0				;ŧiƦ}
					MVL		CAL_ADH					;ŪEEPROMAsRAMm
					CALL	EERDBLK					;IsŪXƵ{
					
;					;--------------READ	TP GAIN	TO RAM
;					;EEPROM 02H	=> TP_GAINH
;					;EEPROM 03H	=> TP_GAINL
;					;=========EEPROM READ=========
;					MVL		002H            
;					MVF		EEADDRESS,F,ACCE	;EEPROMŪm00H}l   
;					MVL		2
;					MVF		S_REG_EE,F,ACCE 	;Ū2bytes, 02H,03H
;					MVL		0A0H
;					MVF		EECNT,F,ACCE		;IIC Address
;					LDPR	000H,FSR0				;ŧiƦ}
;					MVL		TP_GAINH				;ŪEEPROMAsRAMm
;					CALL	EERDBLK					;IsŪXƵ{
					
					
					
				
					
					
					;FLAG2,OFF_ON			;0:OFF	;1:ON					
					;MVL		00000100B
					;XORF	FLAG2,F,ACCE
					
					
					
MAIN:
		BTSZ	FLAG2,OFF_ON			;0:OFF	;1:ON					
		JMP		ON	
		;JMP		OFF
OFF:		
		CALL	POWER_OFF
		SLP
		NOP
ON:
		BTSS	FLAG2,POWERED		
		CALL	POWER_ON
				
		
	  	  
		MVL 01000011B
	  MVF INTE1,F,ACCE
	  BSF	INTE1,GIE,ACCE  
		;JMP	MAIN_LOOP  
	

MAIN_LOOP:
	CWDT
	NOP
	JMP	MAIN
;//^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^//


END	
