POWER_OFF:
			CLRF	INTF1
			MVL 00000001B
			MVF INTE1,F,ACCE
			
			
			CALL	LCD_OFF
			CALL	Delay_LCD
			CALL	Delay_LCD
			
			
			;==========Setup PT1 Interrupt=======================================
			MVL	00000000B
			MVF	PT1,F,ACCE      
			MVL	00000000B     ; Set  Digital Channel
			MVF	PT1DA,F,ACCE
			MVL	00000000B     
			MVF	TRISC1,F,ACCE
			MVL	11111111B
			MVF	PT1PU,F,ACCE  ; Set Pull up Resistor
			
			MVL	00000000B
      MVF	PT1M1,F,ACCE   
       
			MVL	00000000B
			MVF	PT1M2,F,ACCE   
			;==========Setup PT2 =======================================
			MVL	00000000B
			MVF	PT2,F,ACCE
			MVL	11100011B
			MVF	TRISC2,F,ACCE	;0:INPUT, 1:OUTPUT
			MVL	00010000B
			MVF	PT2PU,F,ACCE       
			;==========Setup ADC0=======================================
			MVL	00000000B	
			MVF	ADC0CN1,F,ACCE	;
			MVL	00000000B	
			MVF	ADC0CN2,F,ACCE	;
			MVL	00000000B
			MVF	ADC0CN3,F,ACCE	;
			
			
			CLRF	AINET1	;INH[2:0],INL[2:0],INIS,OPIS
  		CLRF	AINET2	;-,VRH[1:0],INX[1:0],VRL[1:0],-
			CLRF	OP0CN1	;
			
			
      ;========LCD========
			MVL		00000000B
			MVF		LCDCN1,F,ACCE
			MVL		00000000B
			MVF		LCDCN2,F,ACCE
      ;==========VDDA==============
			MVL	00000000B
			MVF	PWRCN,F,ACCE
			
			
			BCF	FLAG2,POWERED	
			
			
			MVL 00000001B
			MVF INTE1,F,ACCE
			;BSF	INTE1,GIE,ACCE  
			;RET	
			RETI





POWER_ON:

			;------------------CLOCK------------
			MVL	00000001B
			MVF	MCKCN1,F,ACCE
			MVL	00000001B
			MVF	MCKCN2,F,ACCE
			;==========Setup VDDA==============
			MVL	11110000B
			MVF	PWRCN,F,ACCE

			
			;==========Setup PT1 Interrupt=======================================
       MVL	10110000B
       MVF	PT1,F,ACCE      
       MVL	00000000B     ; Set  Digital Channel
       MVF	PT1DA,F,ACCE
       ;MVL	10110000B     ; PT1.3 = RX , PT1.4 = TX, PT1.5 = SDO , PT1.6 = SCK , PT1.2 = SDI
       MVL	00000000B     
       MVF	TRISC1,F,ACCE
       MVL	11111111B
       MVF	PT1PU,F,ACCE  ; Set Pull up Resistor
       
       MVL	00000011B
       MVF	PT1M1,F,ACCE   
       
       
       MVL	00000100B
       MVF	PT1M2,F,ACCE   
 			;==========Setup PT2 =======================================
       MVL	00000000B
       MVF	PT2,F,ACCE
       MVL	11100011B
       MVF	TRISC2,F,ACCE	;0:INPUT, 1:OUTPUT
       MVL	00010000B
       MVF	PT2PU,F,ACCE       
 			;==========Setup ADC0=======================================
       MVL	10000010B	
       MVF	ADC0CN1,F,ACCE	;
       MVL	00000100B	
       MVF	ADC0CN2,F,ACCE	;
       MVL	10100000B
       MVF	ADC0CN3,F,ACCE	;
			;------------NET_GLUZ
			CALL	NET_CAL200mvZ
			;==========Set LCD=======================================
			CALL	ClearLCD			
			CALL	LCD_ON
			CALL	Delay_LCD
			;CALL	LCD_HYCON
			
			BTSS	PT2,CAL_PIN,ACCE
	  	CALL	LCD_CAL1
	  	
	  	CALL	LCD_3
			CALL	Delay_LCD
	  	CALL	LCD_2
			CALL	Delay_LCD
	  	CALL	LCD_1
			CALL	Delay_LCD
			
	  	
			;------------SETUP ADC FACTOR---------
			MVL	007H
      MVF	ADC_CNT,F,ACCE
			MVL	004H
      MVF	NET_CNT,F,ACCE
			BSF	FLAG2,POWERED	
			
		RET	







;==========================================        
CLAER_EX:
		CLRF	AL
		CLRF	AH
		CLRF	EAL
		CLRF	EAH
		CLRF	BL
		CLRF	BH
		CLRF	EBL
		CLRF	EBH
		CLRF	CL
		CLRF	CH
		CLRF	ECL
		CLRF	ECH
		CLRF	DL
		CLRF	DH
		CLRF	EDL
		CLRF	EDH
		RET
;======================ECH|ECL|CH|CL	=	EAH|EAL|AH|AL
ECX_EAX:
	MVFF	ECH,EAH
	MVFF	ECL,EAL
	MVFF	CH,AH
	MVFF	CL,AL
	RET
;======================ECH|ECL|CH|CL	=	EBH|EBL|BH|BL
ECX_EBX:
	MVFF	ECH,EBH
	MVFF	ECL,EBL
	MVFF	CH,BH
	MVFF	CL,BL
	RET
;==========================================
Delay_ms:
        MVL		30
        MVF  	temr,F,ACCE
     Delay_ms_2:   
        MVL     0
     Delay_ms_1:   
        dcsz    WREG,F,ACCE
        jmp     Delay10ms_1
        dcsz    temr,F,ACCE
        jmp     Delay10ms_2
        ret    
;==========================================
Delay_LCD:
        MVL		256
        MVF  	temr,F,ACCE
     Delay_LCD_2:   
        MVL     0
     Delay_LCD_1:   
        dcsz    WREG,F,ACCE
        jmp     Delay10ms_1
        dcsz    temr,F,ACCE
        jmp     Delay10ms_2
        ret    
;===========================================
; Ms
;WREG = 
;FSR0 = Address
;===========================================
CLEAR:
        clrf    POINC0,ACCE
        dcsz    WREG,F,ACCE
        jmp     CLEAR
        ret  
;;================================
RRF4W:
        RRF     WREG,F,ACCE
        RRF     WREG,F,ACCE
        RRF     WREG,F,ACCE
        RRF     WREG,F,ACCE
        RET
	
	

	
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++[k	
;-------------------------------
;		     EAX|AX+EBX|BX = EAX|AX
32ADD32:
	CLRF	STATUS
	MVF		BL,W,ACCE
	ADDF	AL,F,ACCE
	MVF		BH,W,ACCE
	ADDC  AH,F,ACCE
	MVF		EBL,W,ACCE
	ADDC  EAL,F,ACCE
	MVF		EBH,W,ACCE
	ADDC  EAH,F,ACCE
	CLRF	WREG
	BTSZ	STATUS,C
	MVL	01H	
	MVF	ErrorFlag,F,ACCE
RET	



;--------------------------------------------------------------------k		
;-----------------------------
;			 AX-BX = AX
16SUB16:
	CLRF	STATUS
	MVF		BL,W,ACCE
	SUBF	AL,F,ACCE
	MVF		BH,W,ACCE
	SUBC  AH,F,ACCE
	CLRF	WREG	
	BTSS	STATUS,C
	MVL	002H	
	MVF	ErrorFlag,F,ACCE
RET
;-----------------------------
;		    EAX|AX-EBX|BX = EAX|AX
32SUB32:
	CLRF		STATUS
	MVF			BL,W,ACCE
	SUBF		AL,F,ACCE
	MVF			BH,W,ACCE
	SUBC  	AH,F,ACCE
	MVF			EBL,W,ACCE
	SUBC  	EAL,F,ACCE	
	MVF			EBH,W,ACCE
	SUBC  	EAH,F,ACCE
	CLRF		WREG	
	BTSS		STATUS,C
	MVL			02H	
	MVF			ErrorFlag,F,ACCE
RET



;xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxk
;======================================================
;k  ( ƻPQƻݭnAP@Bank)
;md1     Qƪ}
;md2     ƪ}
;md3     G}
;mdl1    Qƪ
;mdl2    ƪ
;G׬ mdl1+mdl2
;S_REG,mdl3 Hs
;Cycle (2 byte * 2 byte) = 105
;======================================================
multiply:
        mvf      BSR,w,ACCE
        mvf      FSR0H,F,ACCE
        mvf      FSR1H,F,ACCE
        mvff     md3,FSR0L
        mvf      mdl2,w,ACCE       ; s
        addf     mdl1,w,ACCE
        call     clear
        mvff     mdl1,S_REG
    mult_2:    
        mvff     md3,FSR1L
        mvff     md2,FSR0L
        mvff     INDF0,mdl3
        mvff     mdl1,S_REG        
        mvff     md1,FSR0L
        bcf      STATUS,C,ACCE
     mult_1:   
        mvf      mdl3,w,ACCE
        mulf     POINC0,ACCE
        ;inf      FSR0L,F,ACCE
        mvf      PRODL,W,ACCE
        addc     POINC1,F,ACCE  
        mvf      PRODH,W,ACCE
        addc     INDF1,F,ACCE
        dcsz     S_REG,F,ACCE
        jmp      mult_1
        inf      md3,F,ACCE
        inf      md2,F,ACCE
        dcsz     mdl2,F,ACCE
        jmp      mult_2
        ret
;===============kB	4BYTES * 2BYTES = 6BYTES
;===============EAH|EAL|AH|AL * BH|BL = DH|DL|ECH|ECL|CH|CL
MUL_426:
	MVL	AL
	MVF	MD1,F,ACCE
	MVL	BL
	MVF	MD2,F,ACCE
	MVL	CL
	MVF	MD3,F,ACCE
	MVL	04H
	MVF	MDL1,F,ACCE
	MVL	02H
	MVF	MDL2,F,ACCE
	LBSR	CL
	CALL	multiply
	RET
;===============kB	2BYTES * 2BYTES = 4 BYTES
;===============AH|AL * BH|BL = ECH|ECL|CH|CL
MUL_224:					
	MVL	AL
	MVF	MD1,F,ACCE
	MVL	BL
	MVF	MD2,F,ACCE
	MVL	CL
	MVF	MD3,F,ACCE
	MVL	02H
	MVF	MDL1,F,ACCE
	MVL	02H
	MVF	MDL2,F,ACCE
	LBSR	CL
	CALL	multiply
	RET
	
	
;ҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҡҰk
;======================================================
;|ˤJk (ƻPQƻݭnAP@Bank)
;md1     Qƪ}
;md2     ƪ}
;md3     Ӫ}
;mdl1    Qƪ
;mdl2    ƪ
;mdl3    Ӫ
;md4     l(̤j = 5)
;S_REG,r_Len Hs
;Cycle (4 byte / 2 byte) = 2209   Max
;======================================================
divide45:
        call     divide
        dcf      mdl2,w,ACCE
        addf     md2,w,ACCE
        mvf      FSR0L,F,ACCE
        mvf      mdl2,W,ACCE
        bcf      status,c,acce
     divide45_1:
        rrfc      PODEC0,F,ACCE
        dcsz     WREG,F,ACCE
        jmp      divide45_1
        LDPR     md4,fsr0
        mvff     md2,FSR1L
        mvl       1            ; don't care Wreg   
        rrfc      WREG,F,ACCE  ; for STATUS cann't be set
     divide45_2:   
        mvf      POINC1,W,ACCE
        subc     POINC0,W,ACCE
        dcsz     mdl2,F,ACCE
        jmp      divide45_2
        btss     STATUS,C,ACCE
        ret
        mvff     MD3,FSR0L         
        bcf      STATUS,C,ACCE
        mvl       1            ; don't care Wreg    
        rrfc      WREG,F,ACCE  ; for STATUS cann't be set
     divide45_3:   
        addc     POINC0,F,ACCE
        dcsz     mdl3,F,ACCE
        jmp      divide45_3
        ret
;======================================================
;k    (ƻPQƻݭnAP@Bank)
;md1     Qƪ}
;md2     ƪ}
;md3     Ӫ}
;mdl1    Qƪ
;mdl2    ƪ
;mdl3    Ӫ
;md4     l(̤j = 5)
;S_REG,r_Len Hs
;Cycle (4 byte / 2 byte) = 2179   Max
;======================================================
divide:
        mvf      BSR,w,ACCE
        mvf      FSR0H,F,ACCE
        mvf      FSR1H,F,ACCE
        LDPR     MD4,FSR0
        mvl      5
        call     clear
        mvff     MD3,FSR0L           ; clear remainder
        mvf      mdl3,W,ACCE
        call     clear
        mvf      mdl1,w,ACCE
        mull     8
        mvff     PRODL,S_REG    ; 8 * mdl1 --> S_REG
divlopk:
        mvff    MD1,FSR0L
        mvf     mdl1,w,ACCE
        bcf     status,c,ACCE
divide_rlf_md1:
        rlfc    POINC0,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     divide_rlf_md1
        LDPR    MD4,fsr0         ; md4 rotate left
        mvf     mdl2,W,ACCE
divide_rlf_md4:
        rlfc    POINC0,f,ACCE
        dcsz    WREG,F,ACCE
        jmp     divide_rlf_md4
        jc      div_sub_md4
        LDPR     MD4,FSR0
        mvff     MD2,FSR1L
        mvff     mdl2,r_Len
        mvl       1            ; don't care Wreg    
        rrfc      WREG,F,ACCE  ; for STATUS cann't be set
     ;   bsf      STATUS,C,ACCE
  div_rlf_md4_next:        
        mvf      POINC1,W,ACCE
        subc     POINC0,W,ACCE 
        dcsz     r_Len,F,ACCE
        jmp      div_rlf_md4_next
        jnc      divide_nextprog
  div_sub_md4:      
        LDPR     MD4,FSR0
        mvff     MD2,FSR1L
        mvff     mdl2,r_Len
        mvl       1            ; don't care Wreg   
        rrfc      WREG,F,ACCE  ; for STATUS cann't be set
       ; bsf      STATUS,C,ACCE
  div_sub_md4_1:        
        mvf      POINC1,W,ACCE
        subc     POINC0,F,ACCE 
        dcsz     r_Len,F,ACCE
        jmp      div_sub_md4_1
        mvl       1            ; don't care Wreg   
        rrfc      WREG,F,ACCE  ; for STATUS cann't be set
        ;bsf      status,c,ACCE
divide_nextprog:
        mvff    MD3,FSR0L
        mvf     mdl3,W,ACCE
divide_endloop:
        rlfc    POINC0,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     divide_endloop
        dcsz    S_REG,F,ACCE
        jmp     divlopk
        ret

;=============================EAX / BL = ECX
DIVIDE45_4DIV1:
		MVL	AL
		MVF	MD1,F,ACCE
		MVL	BL
		MVF	MD2,F,ACCE
		MVL	CL
		MVF	MD3,F,ACCE
		MVL	04H
		MVF	MDL1,F,ACCE
		MVL	01H
		MVF	MDL2,F,ACCE
		MVL	04H
		MVF	MDL3,F,ACCE
		LBSR	MD3
		CALL	divide45
		RET

;=================EAH|EAL|AH|AL / BH|BL = ECH|ECL|CH|CL
DIVIDE45_424:
		MVL	AL
		MVF	MD1,F,ACCE
		MVL	BL
		MVF	MD2,F,ACCE
		MVL	CL
		MVF	MD3,F,ACCE
		MVL	04H
		MVF	MDL1,F,ACCE
		MVL	02H
		MVF	MDL2,F,ACCE
		MVL	04H
		MVF	MDL3,F,ACCE
		LBSR	MD3
		CALL	divide45
		RET
;=================EAH|EAL|AH|AL / EBH|EBL|BH|BL = CH|CL
DIVIDE45_442:
		MVL	AL
		MVF	MD1,F,ACCE
		MVL	BL
		MVF	MD2,F,ACCE
		MVL	CL
		MVF	MD3,F,ACCE
		MVL	04H
		MVF	MDL1,F,ACCE
		MVL	04H
		MVF	MDL2,F,ACCE
		MVL	02H
		MVF	MDL3,F,ACCE
		LBSR	MD3
		CALL	divide45
		RET








;================================================================
; QiQi (ݭnAP@Bank)
; FSR1L    Qi}
; FSR0L    Qi}
; WREG      
; MD1 , MD2 , r_Len, MDL1, MDL2 Hs
;Cycle (2 byte ) = 1278
;================================================================
htob:
        mvf     r_Len,F,ACCE
       ; mvf     BSR,W,ACCE
       ; mvf     FSR0H,F,ACCE
       ; mvf     FSR1H,ACCE
        mvff    FSR0L,MD1
        mvff    FSR1L,MD2
        inf     r_Len,W,ACCE
        call    CLEAR
        mvff    MD1,FSR0L
        mvf     r_Len,W,ACCE
        mull    8
        mvff    PRODL,MDL1        
        BCF     STATUS,C,ACCE
htob_Lp:
        mvf     r_Len,W,ACCE
  htob_fsr1:
        rlfc    POINC1,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     htob_fsr1
        insz     r_Len,W,ACCE
        nop
  htob_fsr0:
        rlfc    POINC0,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     htob_fsr0
        mvff    MD1,FSR0L
        mvff    MD2,FSR1L
        dcsz    MDL1,F,ACCE
        jmp     htob_adj
        ret
htob_adj:
        insz     r_Len,W,ACCE
        nop
        mvf     MDL2,F,ACCE
  htob_adj_lop:
        call    AdjBcd
        inf     FSR0L,F,ACCE
        dcsz    MDL2,F,ACCE
        jmp     htob_adj_lop
        mvff    MD1,FSR0L
        jmp    htob_Lp
;--------
AdjBcd:
	mvl	03h
        addf    INDF0,w,ACCE
        btsz    WREG,3,ACCE
        mvf     INDF0,F,ACCE
	mvl	30h
        addf    INDF0,W,ACCE
        btsz    WREG,7,ACCE
        mvf     INDF0,F,ACCE
	ret

;================================================================
; QiQi  (ݭnAP@Bank)
; FSR1L    Qi}
; FSR0L    Qi}
; WREG      
; MD1 , MD2 , r_Len, MDL1, MDL2 Hs
;Cycle (2 byte ) = 983
;================================================================
btoh:
        mvf     r_Len,F,ACCE
       ; mvf     BSR,W,ACCE
       ; mvf     FSR0H,F,ACCE
       ; mvf     FSR1H,ACCE
        dcf     r_Len,w,ACCE
        addf    FSR1L,F,ACCE
        addf    FSR0L,F,ACCE
        mvff    FSR1L,MD2
        mvff    FSR0L,MD1
        mvf     r_Len,W,ACCE
     BtoH_dec:   
        clrf    PODEC0,ACCE
        dcsz    WREG,F,ACCE
        jmp     BtoH_dec
        mvff    MD1,FSR0L
        mvf     r_Len,W,ACCE
        mull    8
        mvff    PRODL,MDL1        
btoh_LP:
        BCF     STATUS,C,ACCE
        mvf     r_Len,W,ACCE
 btoh_LP_fsr1:
        rrfc    PODEC1,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     btoh_LP_fsr1
        mvf     r_Len,W,ACCE
 btoh_Lp_fsr0:
        rrfc    PODEC0,F,ACCE
        dcsz    WREG,F,ACCE
        jmp     btoh_Lp_fsr0
        mvff    md1,FSR0L
        mvff    md2,FSR1L
        dcsz    MDL1,F,ACCE
        jmp     btoh_adj
        ret

btoh_adj:
        mvff    r_Len,MDL2
        mvff    md2,FSR1L
 btoh_adj_lop:
        call    AdjHex
        dcf     FSR1L,F,ACCE
        dcsz    MDL2,F,ACCE
        jmp     btoh_adj_lop
        mvff    md2,FSR1L
        jmp     btoh_LP
;---------
AdjHex:
        mvl     3
        btsz    INDF1,3
        subf    INDF1,f
        mvl     030h
        btsz    INDF1,7
        subf    INDF1,f
        ret




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	
;;;;;;			LCD	DISP			;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;=================================      
;INPUT:		R_SOURCE+1 | R_SOURCE
DISP_H2B:
		MVFF	R_SOURCE+1,TEMP+1
		MVFF	R_SOURCE,TEMP
		LDPR  Temp,FSR1
		LDPR  Temp+2,FSR0	
		MVL   2
		CALL	HTOB
		MVFF	TEMP+4,R_DESTINATION+2
		MVFF	TEMP+3,R_DESTINATION+1
		MVFF	TEMP+2,R_DESTINATION

;INPUT:  R_DESTINATION+2 | R_DESTINATION+1 | R_DESTINATION
DISP_HEX:        
;	MVF	R_DESTINATION+2,W,ACCE
;	CALL	LDISP
;	MVFF	WREG,LCD1

  MVF	R_DESTINATION+2,W,ACCE
  CALL	RRF4W
	CALL	LDISP
	MVFF	WREG,LCD0
	
	BSF		LCD0,7
	
	MVF	R_DESTINATION+2,W,ACCE
  CALL	LDISP
	MVFF	WREG,LCD1


  
  MVF	R_DESTINATION+1,W,ACCE
  CALL	RRF4W
	CALL	LDISP
	MVFF	WREG,LCD2
	
	MVF	R_DESTINATION+1,W,ACCE
  CALL	LDISP
	MVFF	WREG,LCD3
	
	
	
	MVF	R_DESTINATION,W,ACCE
  CALL	RRF4W
	CALL	LDISP
	MVFF	WREG,LCD4
	
	;MVF	R_DESTINATION,W,ACCE
  ;CALL	LDISP
	;MVFF	WREG,LCD5
	CLRF	LCD5
	
	RET



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;	
;;;;;;			LCD	SHOW		;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
LCD_CAL1:
	CLRF	LCD0
	MVL		00011101B			;C
	MVF		LCD1,F,ACCE		
	MVL		01110111B			;A
	MVF		LCD2,F,ACCE
	MVL		00001101B			;L
	MVF		LCD3,F,ACCE
	MVL		01100000B			;1
	MVF		LCD4,F,ACCE
	CLRF	LCD5	
RET
;=======================
LCD_CAL2:
	CLRF	LCD0
	MVL		00011101B			;C
	MVF		LCD1,F,ACCE		
	MVL		01110111B			;A
	MVF		LCD2,F,ACCE
	MVL		00001101B			;L
	MVF		LCD3,F,ACCE
	MVL		00111110B			;2
	MVF		LCD4,F,ACCE
	CLRF	LCD5	
RET
;=======================
LCD_PASS:
	CLRF	LCD0
	MVL		00110111B			;P
	MVF		LCD1,F,ACCE		
	MVL		01110111B			;A
	MVF		LCD2,F,ACCE
	MVL		01011011B			;S
	MVF		LCD3,F,ACCE
	MVL		01011011B			;S
	MVF		LCD4,F,ACCE
	CLRF	LCD5	
	MVL		00FH
	MVF		LCD8,F,ACCE
	
RET
;=======================
LCD_OFF:
	CLRF	LCD0
	CLRF	LCD1
	MVL		LCDNUMO				;O
	MVF		LCD2,F,ACCE
	MVL		LCDNUMF				;F
	MVF		LCD3,F,ACCE
	MVL		LCDNUMF				;F
	MVF		LCD4,F,ACCE
	CLRF	LCD5	
	CLRF	LCD6
	CLRF	LCD7
	CLRF	LCD8
RET
;=======================
LCD_ON:
	CLRF	LCD0
	CLRF	LCD1
	MVL		LCDNUMO				;O
	MVF		LCD2,F,ACCE
	MVL		LCDNUMN				;N
	MVF		LCD3,F,ACCE
	CLRF	LCD4
	CLRF	LCD5	
RET
;=======================
LCD_3:
	CLRF	LCD0
	CLRF	LCD1
	CLRF	LCD2
	MVL		LCDNUM3				;3
	MVF		LCD3,F,ACCE
	CLRF	LCD4
	CLRF	LCD5	
RET
;=======================
LCD_2:
	CLRF	LCD0
	CLRF	LCD1
	CLRF	LCD2
	MVL		LCDNUM2				;2
	MVF		LCD3,F,ACCE
	CLRF	LCD4
	CLRF	LCD5	
RET
;=======================
LCD_1:
	CLRF	LCD0
	CLRF	LCD1
	CLRF	LCD2
	MVL		LCDNUM1				;1
	MVF		LCD3,F,ACCE
	CLRF	LCD4
	CLRF	LCD5	
RET
;=======================      
ClearLCD:
		LDPR		LCD0,FSR1
	LCDCR1:  
		CLRF	POINC1,ACCE
		MVL		LCD9
		CPSE	FSR1L,ACCE
		JMP		LCDCR1              
		MVL		11011100B
		MVF		LCDCN1,F,ACCE
		MVL		01100000B
		MVF		LCDCN2,F,ACCE
RET

;=======================
LCD_HYCON:
	CLRF	LCD0
	MVL		LCDNUMH			;H
	MVF		LCD1,F,ACCE		
	MVL		LCDNUMy			;Y
	MVF		LCD2,F,ACCE
	MVL		LCDNUMC			;C
	MVF		LCD3,F,ACCE
	MVL		LCDNUMO			;O
	MVF		LCD4,F,ACCE
	MVL		LCDNUMN			;N
	MVF		LCD5,F,ACCE
	
RET